#6402 Bodhi is ignoring epoch
Closed: Fixed None Opened 5 years ago by jussilehtola.

Problem: bodhi seems to be ignoring epoch in the determination of obsolete updates.

Full description:

There's an issue with segfaults in epson-inkjet-printer-escpr version 1.6.4. I updated the package to 1.6.5, and pushed out the update epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2.

However, I noticed that the file that was causing the crash had not been changed from 1.6.4 to 1.6.5. So, I introduced Epoch 1, rolled back the package to the 1.5.2 version, and pushed out the resulting epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2 as updates.

However, bodhi has marked the latter update, epson-inkjet-printer-escpr-1.5.2-3.1lsb3.2 (epoch 1), as being obsoleted by epson-inkjet-printer-escpr-1.6.5-1.1lsb3.2 (epoch 0). This should not happen, because 1:1.5.2-3.1lsb3.2 is newer than 0:1.6.5-1.1lsb3.2.


Thank you very much, the ticket in bodhi should be enough to track this, therefore I close this one.

Metadata Update from @jussilehtola:
- Issue assigned to lmacken
- Issue set to the milestone: Fedora 24 Final

4 years ago

Login to comment on this ticket.

Metadata